<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2022 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<configuration description="Config for Ad Services apk unit test cases in ExtServices">
    <option name="test-tag" value="AdExtServicesApkUnitTests" />

    <!-- Prevent test from running on Android T+ -->
    <object type="module_controller"
            class="com.android.tradefed.testtype.suite.module.MaxSdkModuleController">
        <option name="max-sdk-level" value="32"/>
    </object>

    <!-- Prevent tests from running on Android Q- -->
    <object type="module_controller"
            class="com.android.tradefed.testtype.suite.module.Sdk30ModuleController"/>

    <target_preparer class="com.android.tradefed.targetprep.suite.SuiteApkInstaller">
        <option name="cleanup-apks" value="true"/>
        <option name="check-min-sdk" value="true"/>
        <option name="test-file-name" value="AdExtServicesApkUnitTests.apk"/>
    </target_preparer>
    <test class="com.android.tradefed.testtype.AndroidJUnitTest">
        <option name="hidden-api-checks" value="false" /> <!-- Allow hidden API uses -->
        <option name="package" value="com.android.adservices.apk.unit.tests"/>
    </test>
    <object type="module_controller"
            class="com.android.tradefed.testtype.suite.module.MainlineTestModuleController">
        <option name="mainline-module-package-name" value="com.google.android.extservices"/>
    </object>
    <option name="config-descriptor:metadata" key="mainline-param"
            value="com.google.android.extservices.apex" />
</configuration>
